Page MenuHomePhabricator

1/2: Code cleanup: Change FormattersContainer::KeyType from SP to rvalue
ClosedPublic

Authored by jankratochvil on Sep 1 2019, 8:17 AM.

Details

Summary

There is now std::shared_ptr passed around which is expensive for manycore CPUs.
Most of the times (except for 3 cases) it is now just std::moved with no CPU locks needed.
It also makes it possible to sort the keys (which is now not needed much after D66398.
This was originally D66392 but then that one ended up as a different patch.

Diff Detail

Repository
rL LLVM

Event Timeline

jankratochvil created this revision.Sep 1 2019, 8:17 AM
labath accepted this revision.Sep 2 2019, 5:56 AM
This revision is now accepted and ready to land.Sep 2 2019, 5:56 AM
JDevlieghere accepted this revision.Sep 3 2019, 10:04 AM
This revision was automatically updated to reflect the committed changes.
Herald added a project: Restricted Project. · View Herald TranscriptSep 4 2019, 2:47 AM